Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.thinger.kernel
Interface Loader

All Known Implementing Classes:
  KernelBasic_Loader, KernelBasic_LoaderIDE

    public interface Loader

A THINGS loader interface.

What a 'path' means is up to the inplementation.

Version:
  1.0

  Version History

      EPG - Initial - 8 MAR 07

Author:
  Erich P. Gatejen

Method Summary
`void` | `addSource(Universe sourceUniverse, java.lang.String root)` Add a source universe.
`void` | `init(Universe cacheUniverse, java.lang.String cacheRoot)` Initialize the loader.
`java.lang.Class<MODULE>` | `loadModule(java.lang.String path)` Load a MODULE class.
`java.lang.Class<THING>` | `loadThing(java.lang.String path)` Load a THING class.
`void` | `purge()` Purge the loader.
`void` | `purgeThing(java.lang.String path)` Purge a specific thing from the loader.

Method Detail

### init

    void init(Universe cacheUniverse,
              java.lang.String cacheRoot)
              throws SystemException

  Initialize the loader. It will clear out any previous configuration, including the added sources. It should be harmless to do this whenever.

  Parameters:
    `cacheUniverse` - The universe in which to cache.
    `cacheRoot` - The root for cached items.
  Throws:
    `SystemException`

### purge

    void purge()
               throws SystemException

  Purge the loader. Any cached things will be dumped.

  Throws:
    `SystemException`

### purgeThing

    void purgeThing(java.lang.String path)
                    throws SystemException

  Purge a specific thing from the loader. If cached, it will be cleared. This will never cause an error, unless there is an init() problem.

  Parameters:
    `path` - the path to the item to purge.
  Throws:
    `SystemException`

### addSource

    void addSource(Universe sourceUniverse,
                   java.lang.String root)
                   throws SystemException

  Add a source universe.

  Parameters:
    `sourceUniverse` - The universe from where to load items.
    `root` - The root within the universe.
  Throws:
    `SystemException`

### loadThing

    java.lang.Class<THING> loadThing(java.lang.String path)
                                     throws SystemException

  Load a THING class.

  Parameters:
    `path` - to the THING.
  Returns:
    A class for that thing.
  Throws:
    `SystemException`
  See Also:
    `THING`

### loadModule

    java.lang.Class<MODULE> loadModule(java.lang.String path)
                                       throws SystemException

  Load a MODULE class.

  Parameters:
    `path` - the path to the MODULE. Depends on the loader being used, but typically it's a classpath.
  Returns:
    A class for that module.
  Throws:
    `SystemException`
  See Also:
    `MODULE`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.